<script setup>
const localePath = useLocalePath();
</script>

<template>
  <div
    class="h-full bg-no-repeat bg-top bg-cover bg-[url('/images/about/background.svg')]"
  >
    <div class="container mx-auto px-4 py-8">
      <section id="why" class="mb-8">
        <TitleQuote
          quote-left
          quote-color="text-las-green dark:text-las-d-green"
          >{{ $t('pages.about.why.section') }}</TitleQuote
        >

        <div class="grid md:grid-cols-2">
          <p class="mb-8">
            {{ $t('pages.about.why.content') }}
          </p>

          <img
            src="/images/about/why.svg"
            :alt="$t('pages.about.why.section')"
            class="mx-auto"
            width="250px"
          />
        </div>
      </section>

      <section id="history" class="mb-8">
        <TitleQuote
          quote-right
          quote-color="text-las-green dark:text-las-d-green"
          position="center"
          >{{ $t('pages.about.history.section') }}</TitleQuote
        >

        <p class="mb-8">
          {{ $t('pages.about.history.content.p1') }}
        </p>

        <p>
          {{ $t('pages.about.history.content.p2') }}
        </p>
      </section>

      <section id="values" class="mb-8">
        <TitleQuote
          quote-right
          quote-color="text-las-green dark:text-las-d-green"
          position="right"
        >
          {{ $t('pages.about.values.section') }}
        </TitleQuote>

        <div :class="['grid', 'gap-x-4', 'md:grid-cols-2']">
          <AboutValue
            class="ml-auto"
            bg-path="/images/about/values/bg1.svg"
            :bg-size="['w-[290px]', 'h-[200px]']"
            :title="$t('pages.about.values.content.0.title')"
            :content="$t('pages.about.values.content.0.content')"
          />

          <AboutValue
            class="md:mt-32"
            bg-path="/images/about/values/bg3.svg"
            :bg-size="['w-[295px]', 'h-[213px]']"
            :title="$t('pages.about.values.content.1.title')"
            :content="$t('pages.about.values.content.1.content')"
          />

          <AboutValue
            class="ml-auto md:-mt-16 pl-2 pr-10"
            bg-path="/images/about/values/bg2.svg"
            :bg-size="['w-[300px]', 'h-[231px]']"
            :title="$t('pages.about.values.content.2.title')"
            :content="$t('pages.about.values.content.2.content')"
          />

          <AboutValue
            class="md:mt-32 pl-4 pr-8"
            bg-path="/images/about/values/bg4.svg"
            :bg-size="['w-[327px]', 'h-[241px]']"
            :title="$t('pages.about.values.content.3.title')"
            :content="$t('pages.about.values.content.3.content')"
          />

          <AboutValue
            class="ml-auto md:-mt-16 px-8"
            bg-path="/images/about/values/bg5.svg"
            :bg-size="['w-[303px]', 'h-[237px]']"
            :title="$t('pages.about.values.content.4.title')"
            :content="$t('pages.about.values.content.4.content')"
          />
        </div>
      </section>

      <section id="team" class="mb-8">
        <TitleQuote
          quote-left
          quote-color="text-las-green dark:text-las-d-green"
          >{{ $t('pages.about.team.section') }}</TitleQuote
        >

        <p class="mb-8">
          {{ $t('pages.about.team.content.p1') }}
        </p>

        <div
          class="grid auto-rows-min md:grid-cols-2 lg:grid-cols-3 gap-6 mb-8"
        >
          <div class="grid gap-6">
            <AboutTeamCard
              :name="$t('pages.about.team.people.0.name')"
              :role="$t('pages.about.team.people.0.role')"
              :content="$t('pages.about.team.people.0.desc')"
              image-path="/images/about/team/adeline.svg"
            />

            <AboutTeamCard
              :name="$t('pages.about.team.people.1.name')"
              :role="$t('pages.about.team.people.1.role')"
              :content="$t('pages.about.team.people.1.desc')"
              image-path="/images/about/team/manon.svg"
            />
          </div>

          <div class="grid gap-6">
            <AboutTeamCard
              :name="$t('pages.about.team.people.2.name')"
              :role="$t('pages.about.team.people.2.role')"
              :content="$t('pages.about.team.people.2.desc')"
              image-path="/images/about/team/antoine.svg"
            />

            <AboutTeamCard
              :name="$t('pages.about.team.people.3.name')"
              :role="$t('pages.about.team.people.3.role')"
              :content="$t('pages.about.team.people.3.desc')"
              image-path="/images/about/team/maite.svg"
            />
          </div>

          <div class="grid md:grid-rows-2 gap-6">
            <AboutTeamCard
              :name="$t('pages.about.team.people.4.name')"
              :role="$t('pages.about.team.people.4.role')"
              :content="$t('pages.about.team.people.4.desc')"
              image-path="/images/about/team/damien.svg"
            />
          </div>
        </div>

        <p>
          {{ $t('pages.about.team.content.p2') }}
        </p>
      </section>

      <section id="support" class="mb-8">
        <TitleQuote
          quote-right
          quote-color="text-las-green dark:text-las-d-green"
          position="center"
        >
          {{ $t('pages.about.support.section') }}
        </TitleQuote>

        <div class="grid md:grid-cols-3 gap-6">
          <div class="flex flex-col">
            <BgBtn
              to="https://lautre-scene.fr/adherer"
              bg-path="/images/about/support/btn1.svg"
            >
              {{ $t('pages.about.support.content.0.btn') }}
            </BgBtn>

            <p>
              {{ $t('pages.about.support.content.0.content') }}
            </p>
          </div>

          <div class="flex flex-col">
            <BgBtn
              to="https://lautre-scene.fr/soutenir"
              bg-path="/images/about/support/btn2.svg"
            >
              {{ $t('pages.about.support.content.1.btn') }}
            </BgBtn>

            <p>
              {{ $t('pages.about.support.content.1.content') }}
            </p>
          </div>

          <div class="flex flex-col">
            <BgBtn to="/contact" bg-path="/images/about/support/btn3.svg">
              {{ $t('pages.about.support.content.2.btn') }}
            </BgBtn>

            <p>
              {{ $t('pages.about.support.content.2.content') }}
            </p>
          </div>
        </div>
      </section>

      <section id="partners" class="mb-8">
        <TitleQuote
          quote-left
          quote-color="text-las-green dark:text-las-d-green"
        >
          {{ $t('pages.about.partners.section') }}
        </TitleQuote>

        <div class="grid lg:grid-cols-2">
          <div class="flex flex-col md:mr-8 mb-8">
            <p class="mb-8">
              {{ $t('pages.about.partners.content') }}
            </p>

            <NuxtLink
              class="self-end font-cream font-bold text-xl uppercase border-b-las-green border-b-8 dark:border-b-las-d-green"
              :to="localePath('contact')"
            >
              {{ $t('pages.about.partners.contact') }}
            </NuxtLink>
          </div>

          <div class="flex flex-wrap justify-around items-center mx-auto gap-6">
            <div
              class="flex items-center bg-white rounded-xl shadow-lg py-8 px-4 mx-auto"
            >
              <img
                src="/images/about/partners/logo_annecy.png"
                alt="Logo Annecy"
                class="mx-auto h-auto w-full"
              />
            </div>

            <div
              class="flex items-center bg-white rounded-xl shadow-lg py-8 px-4 mx-auto"
            >
              <img
                src="/images/about/partners/logo_grand_annecy.png"
                alt="Logo Grand Annecy"
                class="mx-auto h-auto w-full"
              />
            </div>

            <div
              class="flex items-center bg-white rounded-xl shadow-lg py-8 px-4 mx-auto"
            >
              <img
                src="/images/about/partners/logo-e-cre-vis.png"
                alt="Logo E-Cre-Vis"
                class="mx-auto h-auto w-full"
              />
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
</template>
